Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 33.148.888 Times

Comodo Firewall 12.0.0.6870

  Date Added: July 27, 2019  |  Visits: 171.516
5 Stars5 Stars5 Stars5 Stars5 Stars

Comodo Firewall
Full screenshot

Report Broken Link
Printer Friendly Version


Product Homepage
Download (3273 downloads)



Comodo's free Firewall is your first layer of defense against viruses, worms, trojans, hackers and other internet threats. Comodo's Firewall uses Default Deny Protection to prevent threats from occurring, rather than just detecting them when it's already too late. With a single click you can allow or block access to the internet, offering complete immunity to attacks and total protection of your personal information. Comodo Firewall also features cloud based scanning and behavior analysis of unrecognized files - making Comodo Firewall unbeatable at detecting zero-day attacks. Under default settings, unknown and untrusted files are run in a virtual environment (sandbox) on your local machine so they cannot modify or affect data on your 'real' system. While sandboxed, the file undergoes behavior analysis on our cloud servers to test whether it is safe to run in the long-term. This ground-breaking method of protecting your PC means that only trusted applications are allowed to run. Malware and untrusted files get nowhere near anything important AND you get to use your computer without interruption from nagging alerts. The software also boasts a powerful packet filtering firewall that helps you securely connect to the internet while blocking hackers from making incoming connections. It's easy to use and features an attractive interface that lets even beginners change settings to their liking. Download it now and find out why prevention-based protection is the security technology of the future. Comodo Firewall is completely free for life.

Requirements: No special requirements
Release Date: July 09, 2019
Platforms: Windows XP, Win7 x32, Win7 x64, WinVista
Keyword: Antivirus Award Winning Firewall Excellent Firewall Firewall Free Firewall Free Security Suite Free Software Internet Security Pc Firewall Pc Security Prevention
Version 12.0.0.6870 Changes: Dumps of cmdinstall appears after installation on Windows 7, WMI errors are present in Windows Event Log, Number of unrecognized files in the CIS widget is not recalculated after system reboot
Users rating: 9/10

License: Freeware Size: 5 B
USER REVIEWS
( 6 November 2016, 18:14)

Comments:

I just started using Comodo Firewall. I have to say I love the friendly interface and so far software seems to be reliable and easy to use.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
(22 March 2015, 12:52)

Comments:

When it comes to choose a firewall for PC I always recommend Comodo to my friends. It offers great protection at zero cost.
Ease of use : 5 Stars5 Stars5 Stars5 Stars5 Stars
Functionality : 5 Stars5 Stars5 Stars5 Stars5 Stars
Value for money : 5 Stars5 Stars5 Stars5 Stars5 Stars
Overall score : 5 Stars5 Stars5 Stars5 Stars5 Stars
 
(23 December 2014, 09:02)

Comments:

Very convenient program to use. It's free but works like professional firewall.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(29 October 2014, 10:39)

Comments:

It's a must have software. Nice and easy to use interface, working perfectly.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(21 September 2014, 10:29)

Comments:

Simple but powerful program, worth giving a try.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(14 September 2014, 10:29)

Comments:

I have been using it for years. Never faced any problem on my PC since then.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
( 8 June 2014, 11:21)

Comments:

Great performance by this firewall. Love it.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
( 2 May 2014, 10:34)

Comments:

I love comodo firewall. It's very good and effective software.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
More Reviews or Write Review


COMODO FIREWALL RELATED
Security Tools  -  Outpost Security Suite Free 64bit 7.1.1.3431.520
Agnitum is the first security vendor to deliver a fully functional free version of an Internet security suite for Windows users. Outpost Security Suite FREE 7.0 builds on the acclaimed antivirus, firewall and proactive protection technologies. The...
83.2 MB  
Security Tools  -  Outpost Security Suite Free 7.1.1.3431.520
Agnitum is the first security vendor to deliver a fully functional free version of an Internet security suite for Windows users. Outpost Security Suite FREE 7.0 builds on the acclaimed antivirus, firewall and proactive protection technologies. The...
83.2 MB  
Security Tools  -  Agnitum Outpost Security Suite Free 7. 1. 2001
Keep your files, programs and PC secure with reliable, easy to use protection that's totally free. All-in-one online and offline malware defense and powerful data leak prevention combine to deliver robust, bullet-proof security for individuals and...
94.73 MB  
File Utilities  -  Comodo Internet Security 6.3.300670.2970
Comodo Internet Security combines the award-winning Comodo Firewall and Antivirus software in one easy-to-install suite. More than 10 million PC users around the world rely on Comodo. Free. Comodo Internet Security 2013 is the free,...
144.24 MB  
Security Tools  -  Agnitum Outpost Security Suite Free (64-bit) 7. 1. 2001
Keep your files, programs and PC secure with reliable, easy to use protection that's totally free. All-in-one online and offline malware defense and powerful data leak prevention combine to deliver robust, bullet-proof security for individuals and...
104.25 MB  
Business  -  IBM Systems Magazine Mainframe edition 1.2
IBM Systems Magazine, Mainframe edition - an award winning publication now enhanced for the iPad - comes to you FREE 6 times per year. This bimonthly magazine is focused on the world of IBM Technology, and the future of those technologies as told...
5.5 MB  
Gaming Utilities  -  Advanced Win Utilities Free 7.7.7
Advanced Win Utilities Free, a system tweaking suite, provides a one-stop solution for PC performance optimization. With 20+ effective tools, you can easily clean up, speed up, maintain, secure, and repair your system to make your PC run like...
8.74 MB  
Web Browser Tools  -  All-in-One Sidebar 0.7.1
All-in-One Sidebar is an award-winning Firefox extension sidebar control, inspired by Operas. It lets you quickly switch between sidebar panels, view dialog windows such as downloads, extensions, and more in the sidebar, or view source or websites...
368.64 KB  
Application Add-Ins  -  Kingsoft Office Free 2012 8.1.0.3010
Kingsoft Office 2012 utilizes over two decades of global award winning experience to bring you the complete user-friendly office suite. It can create, view, edit and share the documents, it consists of Kingsoft Writer, Presentation and...
82.4 MB  
Security Tools  -  FREE CompuSec Security Suite 4.18.1
Protect your PC with pre-boot authentication, single-sign-on, screen saver lock, full harddisk encryption, file, floppy, and USB drive encryption. FREE CompuSec® is a security software designed to protect desktops and notebooks. It features...
177.73 MB  
NEW DOWNLOADS IN WINDOWS SOFTWARE
Windows Software  -  DataNumen Excel Repair 2.6
DataNumen Excel Repair (formerly Advanced Excel Repair) is a powerful tool to repair corrupt Excel xls and xlsx files. It can scan the corrupt Excel files and recover your data in them as much as possible, so to minimize the loss in file...
2.49 MB  
Windows Software  -  LinkedIn Sales Navigator Extractor 4.0.2084
LinkedIn Sales Navigator Extractor extracts contact information from LinkedIn and Sales Navigator at an exceptionally fast rate. It is the exceptional extractor software to extract contact information such as first name, last name, email, business...
2.74 MB  
Windows Software  -  ConyEdit for Windows 1.1.1
A cross-editor plugin to improve any text editor or IDE on Windows OS, based on clipboard monitoring and command line parsing. That means, with ConyEdit running in the background, you can use the commands of ConyEdit in any text editor or IDE on...
8.57 MB  
Windows Software  -  3D Ocean Fly Screensaver 2.0
Get ready for a distant seas cruise spirit with free 3D Ocean Fly Screensaver. Fly over sea like you stand at the head of the ocean liner. This screensaver will show you real animated 3D scene with various effects. You will see moving big and...
2.57 MB  
Windows Software  -  VideoSolo Free Video Converter 1.0.18
VideoSolo Free Video Converter is totally free, safe and easy to use high quality video converter and high speed video converter. There is no adware, no embedded software, no time limit and no watermark on the output file. It can convert AVI, MP4...
58.57 MB  
Windows Software  -  FastChange Toolbar 1.2.5.9
The FastChange-Toolbar is an Add-In for PowerPoint which simplifies the professional creation of presentations. It automizes frequently used working steps, optimizes the interface of PowerPoint and offers more than 100 functions which make it...
7.75 MB  
Windows Software  -  MonitorPack Guard 5.5.1
MonitorPack provides Windows tools at no cost for server monitoring, IT asset management and help Desk solution, optional Cloud Solution (IaaS or Infrastructure as a Service) Cloud Application (Platform as a Service) and software on demand (SaaS...
11.25 MB  
Windows Software  -  Movie Box App 3.3.8
Movie Box is Best Application for watching movie, TV shows , Music video, here you to give us clear step by step guide how to download and install Moive Box for Android , all user can free download Movie Box and most user friendly apps. All PC or...
67.23 KB  
Windows Software  -  Cydia Download 1.1.10
This is one of the best freeware released for users. What is Cydia Download ? This is simple downloader which has developed for install Cydia for your device less than ten minutes of time. This freeware is important for all jailbreak users. You...
67.23 KB  
Windows Software  -  Jihosoft iOS10 Backup Extractor 7.0.7
What can you do to extract and recover your iPhone data if you get them lost for the following reasons: 1.Deleted important data from iPhone by mistake. 2.iPhone is damaged, lost or stolen. 3.iPhone stuck in black/white screen of death, iPhone...
16.5 MB